# How-to upgrade a gallery from igal to llgal?

This upgrade documentation is available on-line and in the tarball and distribution packages.

## File location

`igal` places all files in the working directory with existing images.

- `.captions`
- `.indextemplate.html`
- `.slidetemplate.html`
- `.slide_<image>`
- `.thumb_<image>`
- `.tile.png`
- `igal.css`

`llgal` moves all these files in a .llgal, making the starting dot useless. `.slide_<image>` is also replaced by `.scaled_<image>`.

- `.llgal/captions`
- `.llgal/indextemplate.html`
- `.llgal/slidetemplate.html`
- `.llgal/scaled_<image>`
- `.llgal/thumb_<image>`
- `.llgal/tile.png`
- `.llgal/llgal.css`

Note that earlier versions of `llgal` use `.llgal.files` instead of `.llgal`.

## CSS style sheet

The CSS style sheet has been updated. If you modified it, you should probably diff against the original `igal.css`, and apply the difference (by hand) to `llgal.css`.

## Command line options

- All long options (more than one character) now requires a double dash.
- `igal -clean` is now `llgal --cleanall` since `llgal --clean` only removes file that have not been modified.
- Captions generation uses `--gc` instead of `-c`. The caption is automatically used if it exists, `-c` is not used anymore. Captions generation from filename is `--cf` instead of `-C`.
- Do not show image counter in captions is now `--nc` instead of `-x`.
- The film effect in the index of thumbnails is now disabled by default. Instead of disabling it with `-r`, you may now enable it with `--fe`.
- `--sp` and `--tp` options got removed. But `scaled_image_filenameprefix` and `thumbnail_image_filenameprefix` configuration options allow prefix modification.
- `-bigy` (limit image height in slides) is replaced with `--sy`. `-y` (limit thumbnail height) is replaced with `--ty`.
- `-t` has been removed, the user just need to modify the `tile.png` image to get an updated layout.
- `--con` has been removed, image generation command line may now be configured by changing scaled_create_command and thumbnail_create_command configuration options.

## How-to upgrade

If you don't care about processing time:

- Save your `.captions` file if it exists
- Note the command line you used when creating the gallery (see in the header of `index.html`)
- Remove everything but the images with `igal -clean`
- Create a `.llgal` directory and move your captions files inside (remember it is now named `captions` instead of `.captions`)
- Run `llgal` with same options (see section 3 for details)

Recomputing the whole gallery might be long, especially if you have tons of images, since thumbnails (and scaled images if `--bigy`/`--bigxy` is passed) have to be generated.

If you don't want to regenerate these, see section File location and move `.thumb_*` and `.slide_*` files to `.llgal/thumb_*` and `scaled_*` so that llgal uses them.

$Id: upgrade.html,v 1.1 2006/05/07 09:21:15 bgoglin Exp $